Name:           irc-otr
Version:        0.3
Release:        2%{?dist}
Summary:        Off-The-Record Messaging plugin for various irc clients
Group:          Applications/Internet
License:        GPLv2+
URL:            http://irssi-otr.tuxfamily.org/
Source0:        ftp://download.tuxfamily.org/irssiotr/irc-otr-%{version}.tar.gz
Source1:        http://www.xchat.org/docs/xchat-plugin.h
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.4.7
BuildRequires:  glib2-devel >= 2.13
BuildRequires:  irssi-devel
BuildRequires:  libotr-devel >= 3.1.0
BuildRequires:  python >= 2.5
BuildRequires:  pkgconfig


%description
This provides modules which implement Off-The-Record (OTR) Messaging
for a number of popular IRC clients.


%package -n     irssi-otr
Summary:        Off-The-Record messaging plugin for irssi
Group:          Applications/Internet
Requires:       glib2 >= 2.13
Requires:       irssi
Requires:       libotr >= 3.1.0


%description -n irssi-otr
This provides a module which implements Off-The-Record (OTR) Messaging
for Irssi.


%package -n     xchat-otr
Summary:        Off-The-Record messaging plugin for xchat
Group:          Applications/Internet
Requires:       glib2 >= 2.13
Requires:       libotr >= 3.1.0
Requires:       xchat


%description -n xchat-otr
This provides a module which implements Off-The-Record (OTR) Messaging
for X-Chat.


%prep
%setup -q
mkdir xchat
cp %{SOURCE1} xchat/
ln -s xchat/xchat-plugin.h
sed -i -e \
  "s@FIND_PATH(XCHAT_INCLUDE_DIR NAMES xchat/xchat-plugin.h)@FIND_PATH(XCHAT_INCLUDE_DIR NAMES xchat/xchat-plugin.h PATH .)@" \
  CMakeLists.txt


%build
%cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_docdir}/irssi-otr ./installed-docs


%clean
rm -rf $RPM_BUILD_ROOT


%files -n irssi-otr
%defattr(-,root,root,-)
%doc installed-docs/*
%{_libdir}/irssi/modules/libotr.so


%files -n xchat-otr
%defattr(-,root,root,-)
%doc installed-docs/* README.xchat
%{_libdir}/xchat/plugins/libxchatotr.so


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Bump to 0.3.
- Build for xchat also.

* Thu Jul 17 2008 Conrad Meyer <konrad@tylerc.org> - 0.2-1
- Initial package.
